明经CAD社区

 找回密码
 注册

扫一扫,访问微社区

QQ登录

只需一步,快速开始

查看: 141|回复: 8

[提问] (求助)已存在三条边,如何生真第四条边,并合并成默认直线

[复制链接]
发表于 2020-10-15 17:24 | 显示全部楼层 |阅读模式
求助大神,有没有可以解决
1.已知多三条边的矩形,如何框选生成一个完整的四条边矩形并闭合的插件

最近图片看不到,所以只能靠想像了

本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有帐号?注册

x
发表于 2020-10-15 17:48 | 显示全部楼层
我也只会想不会写,框选线判断是不是多段线,并判断一下如果框选的不是多段线的话,先合并一下,然后,取得多段线最两端的点,画线闭合,然后全部再合并一次,就成了,原谅我只会动嘴
发表于 2020-10-15 17:52 | 显示全部楼层
或者找个生成最小包围圈的代码,生成新矩形,然后删除之前的线
发表于 2020-10-15 18:51 | 显示全部楼层
(defun c:lj (/ ss)
  (if (and (princ "\n>>>>>选择要连接的线......")
           (setq ss (ssget '((0 . "LINE,LWPOLYLINE,ARC"))))
           (setvar "PEDITACCEPT" 1)
           )
    (command "pedit" "m" ss "" "j" "0.0" "c" "")
    )
  
  (princ)
  )

评分

参与人数 1明经币 +1 收起 理由
999999 + 1 很给力!

查看全部评分

发表于 2020-10-15 21:41 | 显示全部楼层
845245015 发表于 2020-10-15 18:51
(defun c:lj (/ ss)
  (if (and (princ "\n>>>>>选择要连接的线......")
           (setq ss (ssget '((0 . "LI ...

思路真好,好的想法省太多事了,
学习啦。
 楼主| 发表于 2020-10-16 08:34 | 显示全部楼层
845245015 发表于 2020-10-15 18:51
(defun c:lj (/ ss)
  (if (and (princ "\n>>>>>选择要连接的线......")
           (setq ss (ssget '((0 . "LI ...

哈哈,,大神历害了,我都不知道PE还有这样的功能,历害了,   请问大神,实现框选的功能是哪一段代码呢
 楼主| 发表于 2020-10-16 08:58 | 显示全部楼层
xj6019 发表于 2020-10-15 17:48
我也只会想不会写,框选线判断是不是多段线,并判断一下如果框选的不是多段线的话,先合并一下,然后,取得 ...

哈哈,,没事呀,,实现功能的前提都是要靠思路的,谢谢您的顶贴及思路哟
发表于 2020-10-16 12:32 | 显示全部楼层
999999 发表于 2020-10-16 08:34
哈哈,,大神历害了,我都不知道PE还有这样的功能,历害了,   请问大神,实现框选的功能是哪一段代码呢: ...

(setq ss (ssget '((0 . "LINE,LWPOLYLINE,ARC"))))
 楼主| 发表于 2020-10-16 14:18 | 显示全部楼层
845245015 发表于 2020-10-16 12:32
(setq ss (ssget '((0 . "LINE,LWPOLYLINE,ARC"))))

谢谢啦
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号  
©2000-2020 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2020-10-25 09:57 , Processed in 0.156093 second(s), 29 queries , Gzip On.

Powered by Discuz! X3.3

© 2001-2013 Comsenz Inc.

快速回复 返回顶部 返回列表